#ifndef QUEST_MAP
#define QUEST_MAP

#include "monster.h"
#include "item.h"
#include "types.h"	
#include "global.h"

Map* new_map();
void zap_map(Map* map);
Space* new_space();
void zap_space(Space* space);
Coords* new_coords(gint x, gint y);
void zap_coords(Coords* coords);
MapWin* new_map_window();
void zap_map_window(MapWin* map_window);

void set_space(GameControl* gamec,Space* space,guint16 type,gint variation);
void add_map_item(GameControl* gamec,Item* item,gint x,gint y);
void add_update(GameControl* gamec,gint x,gint y);
void remove_update(GameControl* gamec,gint x, gint y);

#endif /* QUEST_MAP */
