#ifndef QUEST_XFUNCS
#define QUEST_XFUNCS

#include <gtk/gtk.h>
#include "gamec.h"	/* for do_cycle() */
#include "sprite.h"	/* for make_map_area() */
#include "types.h"
#include "global.h"

void init_widgets(GameControl* gamec);

void print_update_stack(GameControl* gamec);
void print_cycle_cnt(GameControl* gamec);
void get_map_menu(GameControl* gamec);
void repaint_drawing_area(GameControl* gamec);

gint delete_event(GtkWidget *widget,GdkEvent *event,gpointer data);
void destroy(GtkWidget *widget,gpointer data);
void key_press_event(GtkWidget *widget,GdkEventKey* event,gpointer data);
void key_release_event(GtkWidget *widget,GdkEventKey* event,gpointer data);
void button_press_event(GtkWidget *widget,GdkEventButton* event,gpointer data);
void button_release_event(GtkWidget *widget,GdkEventButton* event,gpointer data);
gint configure_event(GtkWidget *widget,GdkEventConfigure *event,GameControl* gamec);
gint expose_event(GtkWidget *widget,GdkEventExpose *event,GameControl* gamec);
        
#endif /* QUEST_XFUNCS */
